This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 211531 - system-install-packages crash with downloaded rpm
system-install-packages crash with downloaded rpm
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-19 16:49 EDT by C. Applegate
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-10 15:11:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description C. Applegate 2006-10-19 16:49:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.9a1) Gecko/20061019 Minefield/3.0a1

Description of problem:
I downloaded the RPM version of Adobe Reader from www.adobe.com using today's build of Firefox (not Fedora Firefox). When asked, I chose launch the "Software Installer" to install the rpm. It crashes.

Here's the crash message:

Component: Software Installer
Summary: TB2800fe58 traceback.py:13:_print:IOError: [Errno 5] Input/output error

Traceback (most recent call last):
  File "/usr/sbin/system-install-packages", line 243, in ?
    main()
  File "/usr/sbin/system-install-packages", line 236, in main
    pkginst = SinglePackageInstaller()
  File "/usr/sbin/system-install-packages", line 57, in __init__
    GraphicalYumBase.__init__(self, False)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 124, in __init__
    plugin_types=(yum.plugins.TYPE_CORE,))
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 123, in doConfigSetup
    startupconf.pluginconfpath)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 252, in doPluginSetup
    plugin_types, confpath)
  File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 129, in __init__
    self._importplugins(types)
  File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 170, in _importplugins
    self._loadplugin(modulefile, types)
  File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 218, in _loadplugin
    self.verbose_logger.log(logginglevels.INFO_2, 'Loading "%s" plugin', modname)
  File "/usr/lib64/python2.4/logging/__init__.py", line 1040, in log
    apply(self._log, (level, msg, args), kwargs)
  File "/usr/lib64/python2.4/logging/__init__.py", line 1079, in _log
    self.handle(record)
  File "/usr/lib64/python2.4/logging/__init__.py", line 1089, in handle
    self.callHandlers(record)
  File "/usr/lib64/python2.4/logging/__init__.py", line 1126, in callHandlers
    hdlr.handle(record)
  File "/usr/lib64/python2.4/logging/__init__.py", line 642, in handle
    self.emit(record)
  File "/usr/lib64/python2.4/logging/__init__.py", line 744, in emit
    self.handleError(record)
  File "/usr/lib64/python2.4/logging/__init__.py", line 693, in handleError
    traceback.print_exception(ei[0], ei[1], ei[2], None, sys.stderr)
  File "/usr/lib64/python2.4/traceback.py", line 124, in print_exception
    _print(file, 'Traceback (most recent call last):')
  File "/usr/lib64/python2.4/traceback.py", line 13, in _print
    file.write(str+terminator)
IOError: [Errno 5] Input/output error

Local variables in innermost frame:
file: <open file '<stderr>', mode 'w' at 0x2aaaaaad5210>
terminator: 

str: Traceback (most recent call last):


Version-Release number of selected component (if applicable):
pirut-1.2.5-1

How reproducible:
Always


Steps to Reproduce:
1. Launch Firefox.
2. Go to http://www.adobe.com/products/acrobat/readstep2.html and select rpm.
3. Open with "Software Installer (default)" (root password required)

Actual Results:
Software Installer throws an exception and asks user to file a bug report.

Expected Results:
RPM should be installed.

Additional info:
Linux localhost 2.6.18-1.2798.fc6 #1 SMP Mon Oct 16 14:39:22 EDT 2006 x86_64 x86_64 x86_64 GNU/Linux
Comment 1 Jeremy Katz 2006-10-19 16:53:03 EDT
Are you out of space on /var?
Comment 2 C. Applegate 2006-10-19 17:00:04 EDT
/var is on the / partition, which has 3.1GB (48%) free.
Comment 3 Jeremy Katz 2007-04-09 16:00:23 EDT
Does this still occur for you?
Comment 4 C. Applegate 2007-04-10 01:21:48 EDT
No, it doesn't. pirut doesn't install the software, but it doesn't crash. I
don't know what the correct behavior for pirut is since I always use yum in a
shell. system-install-packages does install it. I am currently using the most
up-to-date software in FC6 and Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US;
rv:1.9a3pre) Gecko/20070321 Minefield/3.0a3pre.

Note You need to log in before you can comment on or make changes to this bug.